########## non-meaningfull stuff, just
# some experiments with alphahull

clf <- hierarchf440
cc <- clf$clustering$clustercenters
datarecordcoords <- clf$data@coords[,1:2]
alphahull <- ahull(datarecordcoords, alpha=50)
plot(alphahull)
hulledges <- alphahull$ashape.obj$edges

ep <- hulledges[,3:6] # grab starting coordinates of each edge

orderedep <- vector(mode="numeric")
orderedep <- rbind(orderedep, ep[1,])
ep <- ep[-1,]

for (i in 1:(dim(ep)[1])){
        lastlineindex <- dim(orderedep)[1]
        currentpoint <- orderedep[lastlineindex,3:4]
#        print(currentpoint)
        currentx <- currentpoint[1]
        currenty <- currentpoint[2]

        if(!is.null(dim(ep))){
                xy <- ep[,1:2]

                dist <- vector(mode="numeric")
                for (j in 1:dim(xy)[1]){
                        x <- xy[j,1]
                        y <- xy[j,2]
                        distx <- (currentx-x)^2
                        disty <- (currenty-y)^2
                        dist <- rbind(dist,sqrt(distx+disty))
                        }
                nextpointindex <- which(dist == min(dist))[1]
                print(nextpointindex)
                nextxy <- xy[nextpointindex,]
                nextline <- c(currentpoint,nextxy)
                currentlastline <- orderedep[lastlineindex,]

                # the following conditions avoid duplicate data points in the polygon edgepoints' list
                if(!(sum(nextline-currentlastline)==0)
                        && !(sum(nextline[1:2] - nextline[3:4]) == 0) ){
                        orderedep <- rbind(orderedep,nextline)
                }
                ep <- ep[-nextpointindex,] #entferne bereits behandelte Punkte
        }
        else{ #condition is satisfied when only one point in ep remains
                nextxy <- ep[1:2]
                ep <- NULL
                nextline <- c(currentpoint,nextxy)
                orderedep <- rbind(orderedep,nextline)
                lastlineend <- orderedep[1,1:2]
                lastline <- c(nextline[3:4],lastlineend)
                orderedep <- rbind(orderedep,lastline)
                orderedep <- rbind(orderedep,orderedep[1,])
                
        }
}


pol <- Polygon(orderedep[,1:2], hole=FALSE)
pols <- Polygons(list(pol),"id")

sppols <- SpatialPolygons(list(pols))

len <- dim(pol@coords)[1]-1
constraintcoords <- pol@coords[1:len,]

tm <- tri.mesh(cc[,1], cc[,2])
tmconst <- add.constraint(tm, constraintcoords[,1], constraintcoords[,2])
postscript(file="constraineddelaunay.eps", onefile=TRUE)
plot(tm)
plot(tmconst)
plot(cc)
dev.off()
