source("01-packs-options.R")
#source("02-preproc.R")
source("05-rsaga-dem-f440.R")
source("10-functions-shapefile.R")
source("42-spatclust-script.R")

framename <- "f440"
contigfact <- 0.7
predictors <- c("REIP49")
sppdf <- f440[1:50,]
cex <- 0.7

f440clres <- avrHACC(sppdf, framename=framename, predictors = predictors, filetype="png", 
										 contigfact = contigfact, color=FALSE, cex=cex)

source("42-spatclust-script.R")
plotClusteringResults(f440clres, framename, contigfact, predictors=predictors)

framename <- "f550"
contigfact <- -0.7
predictors <- c("REIP49")

f550clres <- avrHACC(f550, framename=framename, predictors = predictors, filetype="postscript", 
										 contigfact = contigfact, color=TRUE, cex=1.5)

source("42-spatclust-script.R")
plotClusteringResults(f550clres, framename, contigfact, predictors=predictors)

